{% comment %}
  @param activity [ActivityDrop]
{% endcomment %}

{% assign items = site.i18n.fediverse_interactions %}
{% assign reactions = '' | split: ',' %}
{% assign activities = reactions %}

{% if page.activity.replies.available %}
  {% assign activities = page.activity.replies.all_items | sort: 'published' %}
{% endif %}

{% if include.activity.likes.available %}
  {% assign reactions = reactions | concat: include.activity.likes.all_items %}
{% endif %}

{% if include.activity.shares.available %}
  {% assign reactions = reactions | concat: include.activity.shares.all_items %}
{% endif %}

{% assign reactions = reactions | sort: 'published' %}

{% assign all_interactions = activities | concat: reactions | sort: 'published' %}

<div class="w-100" data-controller="tabs" data-tabs-hide-class="hide" data-tabs-show-class="show">
  {% include_cached activity_pub/button_bar.html uri=include.activity.id profile=include.profile %}

  <hr>

  <h3 class="text-uppercase">{{ site.i18n.ver_interacciones }}</h3>

  <div class="d-flex flex-row align-items-center mt-2 mb-5">
    {% include_cached activity_pub/fediverse_interactions.html %}

    {% assign text = site.i18n.help | markdownify | replace: '<a ', "<a target='_blank' rel='noopener' " %}
    {% include_cached activity_pub/text_modal.html text=text fa="question-circle-o" %}
  </div>

  <div class="w-100 d-none fade hide" data-tabs-target="tab" id="conversation">
    {% unless activities == empty %}
      {% for activity in activities %}
        {% include_cached activity_pub/cards.html activity=activity profile=activity.attributedTo replies=activity.replies %}
      {% endfor %}
    {% else %}
      <p class="h1">
        {{ site.i18n.no_interactions_yet.conversation }}
        <p>
    {% endunless %}
  </div>

  <div class="w-100 d-none fade hide" data-tabs-target="tab" id="reactions">
    {% unless reactions == empty %}
      {% include_cached activity_pub/reactions.html reactions=reactions %}
    {% else %}
      <p class="h1">
        {{ site.i18n.no_interactions_yet.reactions }}
        <p>
    {% endunless %}
  </div>

  <div class="w-100 fade show" data-tabs-target="tab" id="both">
    {% unless all_interactions == empty %}
      {% for interaction in all_interactions %}
        {% if forloop.index0 > 0 %}
          {% assign minus = forloop.index0 | minus: 1 %}
          {% assign previous = all_interactions[minus] %}
        {% else %}
          {% assign previous = nil %}
        {% endif %}

        {% if interaction.type == 'Announce' or interaction.type == 'Like' %}
          {% include_cached activity_pub/reaction.html activity=interaction previous=previous %}
        {% else %}
          {% include_cached activity_pub/cards.html activity=interaction profile=interaction.attributedTo replies=interaction.replies %}
        {% endif %}
      {% endfor %}
    {% else %}
      <p class="h1">
        {{ site.i18n.no_interactions_yet.both }}
        <p>
    {% endunless %}
  </div>
</div>
